var elemNum = 14;
var carouselList, actAngle, radius;
var transStyle;

function initPage() {
	var transforms = ["transform", "WebkitTransform", "MozTransform", "msTransform", "OTransform"];
	var transtest  = document.createElement("div");
	for (var t = 0; t < transforms.length; t++) {
		if (typeof transtest.style[transforms[t]] != "undefined") {
			transStyle = transforms[t]; break;
		}
	}

	if (transStyle == null)
		alert("A bngsz nem tmogatja a 'transform' stlust!");
	else {
		carouselList = document.getElementById("carousel-list");
		radius = Math.round((carouselList.offsetWidth / 2) / Math.tan(Math.PI / elemNum));
		
		for (var e = 0; e < elemNum; e++) {
			var listElem = document.createElement("li");
			var angle  = (360 / elemNum) * e;

			listElem.style.backgroundColor = "hsla(" + angle + ", 100%, 50%, .9)";
			listElem.style[transStyle] = "rotateY(" + angle + "deg) translateZ(" + radius + "px)";
			listElem.innerHTML = (e + 1);
			carouselList.appendChild(listElem);
		}

		document.getElementById("carousel-prev").onclick = function() { rotateCarousel(-1) };
		document.getElementById("carousel-next").onclick = function() { rotateCarousel(+1) };
		
		actAngle = 0;
		rotateCarousel(0);
	}
}

function rotateCarousel(dir) {
	actAngle -= (360 / elemNum) * dir;
	carouselList.style[transStyle] = " translateZ(-" + radius + "px) rotateY(" + actAngle + "deg)";
}

window.onload = initPage;
